summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKay Sievers <kay@vrfy.org>2013-02-19 05:11:23 +0100
committerKay Sievers <kay@vrfy.org>2013-02-19 05:11:23 +0100
commita8624b86e0d891e323157e17734210bee14f8497 (patch)
treec4274a49042d6f1e9cdf57bc7413756309e1bd6e
parent254530e87c3192038ae61bd971e2d0eed8597c66 (diff)
update loader-postinst.sh
-rwxr-xr-xloader-postinst.sh13
1 files changed, 6 insertions, 7 deletions
diff --git a/loader-postinst.sh b/loader-postinst.sh
index 92c4c11..a3c81d9 100755
--- a/loader-postinst.sh
+++ b/loader-postinst.sh
@@ -14,7 +14,7 @@
# Lesser General Public License for more details.
#
# Copyright (C) 2012 Harald Hoyer <harald@redhat.com>
-# Copyright (C) 2012 Kay Sievers <kay.sievers@vrfy.org>
+# Copyright (C) 2012 Kay Sievers <kay@vrfy.org>
if (( $# != 2 )); then
echo "Usage: $0 <KERNEL_VERSION> <KERNEL_IMAGE>" >&2
@@ -55,6 +55,11 @@ if [[ -f /etc/kernel/cmdline ]]; then
done < /etc/kernel/cmdline
fi
if ! [[ $BOOT_OPTIONS ]]; then
+ while read line; do
+ BOOT_OPTIONS+="$line "
+ done < /proc/cmdline
+fi
+if ! [[ $BOOT_OPTIONS ]]; then
echo "Can't determine the kernel command line parameters." >&2
echo "Please specify the kernel command line in /etc/kernel/cmdline!" >&2
exit 1
@@ -88,12 +93,6 @@ cp --preserve "$KERNEL_IMAGE" "${EFI_DIR}/${ID}/${MACHINE_ID}/"
[[ $INITRD_IMAGE ]] && echo "initrd /${ID}/${MACHINE_ID}/${INITRD_IMAGE##*/}"
} > "${EFI_DIR}/loader/entries/${ID}-${KERNEL_VERSION}-${MACHINE_ID}.conf"
-if ! [[ -f ${EFI_DIR}/loader/loader.conf ]]; then
- {
- echo "default $ID-*"
- } > "${EFI_DIR}/loader/loader.conf"
-fi
-
# now cleanup the old entries and files, for which no /lib/modules/$KERNEL_VERSION exists
(
cd ${EFI_DIR}/loader/entries